<?php

namespace App\Tests\Feature;

use ApiPlatform\Symfony\Bundle\Test\ApiTestCase;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

abstract class AbstractApiTestCase extends ApiTestCase
{
    protected ?EntityManagerInterface $entityManager;
    protected ?ContainerInterface $container;

    protected function setUp(): void
    {
        parent::setUp();
        $this->container = static::getContainer();
        $this->entityManager = $this->container->get(EntityManagerInterface::class);
    }

    protected function tearDown(): void
    {
        parent::tearDown();
    }
}
